/*
   RECORD.H
   Category application declarations.
   Copyright (c) 1999 Bachmann Software and Services, LLC
   Author: Glenn Bachmann
*/

// Prevent multiple includes
#ifndef RECORD_H
#define RECORD_H

#define  RECORD_FILE_CREATOR   ('TEST')
#define  RECORD_FILE_VERSION   (0x01)
#define  RECORD_PREF_ID        (0x02)
#define  RECORD_PREF_VERSION   (0x01)

#define  PALMOS_VERSION_20 (0x02000000)

#define  PALMOS_VERSION    (PALMOS_VERSION_20)

/*
   MainFormEventHandler (EventPtr)
   Parms:   pEvent   - event to be handled.
   Return:  true  - handled (successfully or not)
            false - not handled
*/

Boolean  MainFormEventHandler (EventPtr pEvent);

#define FISH_LENGTH 100

// fish db functions
Boolean  FishNew ( void );
UInt16      FishGetCount ( void );
MemHandle   FishGetFish ( UInt16 index );
void     FishReleaseFish ( void );
char *   FishGetName ( void );
void     FishSetName ( char * pName );
void     FishOpen ( void );
void     FishClose ( void );

#endif

