//	File:			Cond_exTable.h
//
//	Module:			COND_EX DLL
//
//	Description:	The 'CCond_exTable' and the 'CCond_exRecord' 
//                          classes which control the data storage on the PC
/////////////////////////////////////////////////////////////////////////////
#ifndef __COND_EX_TABLE__
#define __COND_EX_TABLE__

#include "stdafx.h"
#include "bfields.h"
#include "basetabl.h"
#include "mptable.h"
#include "mprecord.h"

// Pre-declares
class CBaseRecord;
class CBaseTable;
class CMemoTable;
class CMemoRecord;


//////////////////////////////////////////////////////////////////////////////
//    CCond_exTable
/////////////////////////////////////////////////////////////////////////////
class CCond_exTable : public CMemoTable 
{
public:
	DECLARE_SERIAL(CCond_exTable)
		// push functionality to base class

};




//////////////////////////////////////////////////////////////////////////////
//    CCond_exRecord
//    your record class
/////////////////////////////////////////////////////////////////////////////
class CCond_exRecord : public CMemoRecord
{
protected:
	friend        CCond_exTable;   
public:
	// push functionality to base class
	CCond_exRecord    (CBaseTable &rTable, 
		WORD wModAction = MODFILTER_STUPID) : CMemoRecord    (rTable, wModAction){};

	CCond_exRecord    (CCond_exTable &rTable, 
		WORD wModAction = MODFILTER_STUPID) : CMemoRecord    (rTable, wModAction){};

};


#endif



