/*
   PalmTalkmain.h
   Main form handling functions defined for other source modules.
   Bachmann Software and Services, 1999
   Author: W.F. Ableson
*/

// Prevent multiple includes
#ifndef PALMTALK_MAIN_H
#define PALMTALK_MAIN_H

/*
   MainFormEventHandler (EventPtr)
   Parms:   pEvent   - event to be handled.
   Return:  true  - handled (successfully or not)
            false - not handled
*/
Boolean  MainFormEventHandler (EventPtr pEvent);

/*
   MainFormReadSerial()
   Parms: None
   Return: none

*/
void MainFormReadSerial();
/*
   MainFormCloseSerial()
   Parms: None
   Return: none

*/void MainFormCloseSerial();

#endif

