//	File:			Cond_exLink.h
//
//	Module:			Part of the cond_ex DLL
//
//	Description:	The class definition for the DT_Link converter object.
//
/////////////////////////////////////////////////////////////////////////////
#ifndef __COND_EX_LINK_CONVERTER
#define __COND_EX_LINK_CONVERTER

#include "condapi.h"
#include "basemon.h"

#define  COND_EX_RAW_REC_MEM   4480

class CCategoryMgr;

//
//   Converts raw database records from HH to PC and back.
//
class CCond_exDTLinkConverter : public CBaseDTLinkConverter
{
protected:

public:
	CCond_exDTLinkConverter       (HINSTANCE hInst);
	~CCond_exDTLinkConverter      ();

	long ConvertToRemote   			(CBaseRecord &rRec, CRawRecordInfo &rInfo);
	long ConvertFromRemote 			(CBaseRecord &rRec, CRawRecordInfo &rInfo);
	long ConvertFromRemoteCategories(CDbGenInfo& dbInfo, CCategoryMgr* catMgr);
	long ConvertToRemoteCategories	(CDbGenInfo& dbInfo, CCategoryMgr* catMgr);
};


#endif

